Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/OS_NS_time.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Basic_Types.h"`
`#include "ace/os_include/os_time.h"`
`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_time.inl"`

Include dependency graph for OS_NS_time.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | ACE_OS
## Defines
#define | ACE_EXPORT_MACRO ACE_Export
#define | ACE_INLINE inline
## Typedefs
typedef unsigned __int64 | ACE_QWORD
typedef unsigned __int64 | ACE_hrtime_t
## Functions
long | ace_timezone ()
| Helper for the ACE_OS::timezone() function.
double | ace_difftime (time_t t1, time_t t0)
| Helper for the ACE_OS::difftime() function.
ACE_QWORD | ACE_MAKE_QWORD (DWORD lo, DWORD hi)
DWORD | ACE_LOW_DWORD (ACE_QWORD q)
DWORD | ACE_HIGH_DWORD (ACE_QWORD q)
## Variables
const ACE_UINT32 | ACE_U_ONE_SECOND_IN_MSECS = 1000U
const ACE_UINT32 | ACE_U_ONE_SECOND_IN_USECS = 1000000U
const ACE_UINT32 | ACE_U_ONE_SECOND_IN_NSECS = 1000000000U

## Detailed Description

Id:
  OS_NS_time.h,v 1.4 2003/11/05 21:54:33 dhinton Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu> , Jesper S. M|ller<stophph@diku.dk> , and a cast of thousands...

Originally in OS.h.

## Define Documentation

#define ACE_EXPORT_MACRO ACE_Export

#define ACE_INLINE inline

## Typedef Documentation

typedef unsigned __int64 ACE_hrtime_t

typedef unsigned __int64 ACE_QWORD

## Function Documentation

double ace_difftime | ( | time_t | t1,
|  | time_t | t0
| ) | `[inline]`

| Helper for the ACE_OS::difftime() function. We moved the difftime code that used to be in ACE_OS::difftime() here because on some platforms "difftime" is a macro. Because of this, the name ACE_OS::difftime will cause errors. So in order to use the macro as it is defined but also keep the name ACE_OS::difftime, we use difftime first here in this inline function, and then undefine it.

DWORD ACE_HIGH_DWORD | ( | ACE_QWORD | q | ) | `[inline]`

DWORD ACE_LOW_DWORD | ( | ACE_QWORD | q | ) | `[inline]`

ACE_QWORD ACE_MAKE_QWORD | ( | DWORD | lo,
|  | DWORD | hi
| ) | `[inline]`

long ace_timezone | ( |  | ) | `[inline]`

| Helper for the ACE_OS::timezone() function. We put all the timezone stuff that used to be in ACE_OS::timezone() here because on some platforms "timezone" is a macro. Because of this, the name ACE_OS::timezone will cause errors. So in order to use the macro as it is defined but also keep the name ACE_OS::timezone, we use timezone first here in this inline function, and then undefine timezone.

## Variable Documentation

const ACE_UINT32 ACE_U_ONE_SECOND_IN_MSECS = 1000U`[static]`

const ACE_UINT32 ACE_U_ONE_SECOND_IN_NSECS = 1000000000U`[static]`

const ACE_UINT32 ACE_U_ONE_SECOND_IN_USECS = 1000000U`[static]`